## ros-indigo-segbot-firmware 0.3.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(segbot_firmware)

find_package(catkin REQUIRED)

catkin_package()

# TODO: figure out how to automate Arduino cross-compile and loading.

# include firmware sources in the distribution package
install(DIRECTORY src
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-segbot-firmware (0.3.5-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-firmware (0.3.4-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-firmware (0.3.3-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-firmware (0.3.2-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-firmware (0.3.1-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-firmware (0.3.0-0trusty) trusty; urgency=high

  * new arduino firmware for segbot v2.
  * Contributors: Jack O'Quin

 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 14 Mar 2015 05:00:00 -0000

ros-indigo-segbot-firmware (0.2.1-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 24 Apr 2014 05:00:00 -0000

ros-indigo-segbot-firmware (0.2.0-0trusty) trusty; urgency=high

  * Initial release to Hydro.
  * Arduino firmware for sonar and IR sensors.

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 17 Apr 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-segbot-firmware
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/segbot_firmware
Standards-Version: 3.9.2

Package: ros-indigo-segbot-firmware
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Arduino firmware for BWI segbot sensor array.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-segbot-firmware//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
